### Constructor

# Vips Operation new

#### Declaration [src]

    VipsOperation*
    vips_operation_new (
      const char* name
    )

#### Description [src]

Return a new `VipsOperation` with the specified nickname. Useful for language bindings.

You’ll need to set any arguments and build the operation before you can use it. See `vips_call()` for a higher-level way to make new operations.

#### Parameters

`name`

  Type: `const char*`

  Nickname of operation to create.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `VipsOperation`

The new operation.

The caller of the function takes ownership of the data, and is responsible for freeing it.